Bug 1420381 - Review Request: phpunit6 - The PHP Unit Testing framework
Review Request: phpunit6 - The PHP Unit Testing framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 1420374 1420378
Blocks: 1420382 1420384
  Show dependency treegraph
 
Reported: 2017-02-08 09:33 EST by Remi Collet
Modified: 2017-04-01 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (82.14 KB, text/plain)
2017-03-10 16:24 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (54.40 KB, text/plain)
2017-03-10 16:25 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.92 KB, text/plain)
2017-03-10 16:26 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2017-02-08 09:33:55 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/phpunit/phpunit6/phpunit6.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/phpunit6-6.0.6-2.remi.src.rpm
Description: 
PHPUnit is a programmer-oriented testing framework for PHP.
It is an instance of the xUnit architecture for unit testing frameworks.

Fedora Account System Username: remi
Comment 3 Shawn Iwinski 2017-03-10 16:24 EST
Created attachment 1262081 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.4 DB version 1.17.0 built Jan 24 2017 10:56:54 CET
Comment 4 Shawn Iwinski 2017-03-10 16:25 EST
Created attachment 1262082 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.4 DB version 1.17.0 built Jan 24 2017 10:56:54 CET
Comment 5 Shawn Iwinski 2017-03-10 16:26 EST
Created attachment 1262083 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1420381
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Shawn Iwinski 2017-03-10 16:28:06 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Buildroot is not present
     Note: Buildroot: present but not needed

Remove EPEL 5 bits after initial import



[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/PHPUnit6/Framework(php-phpunit-mock-objects4),
     /usr/share/php/PHPUnit6(php-phpunit-mock-objects4)

Fix after initial import



No blockers

===== APPROVED =====
Comment 7 Remi Collet 2017-03-11 01:04:28 EST
Thanks for the review.

New packages requested.
Comment 8 Gwyn Ciesla 2017-03-13 08:45:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/phpunit6
Comment 9 Fedora Update System 2017-03-13 09:32:16 EDT
phpunit6-6.0.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee4481e1ab
Comment 10 Fedora Update System 2017-03-13 23:21:39 EDT
phpunit6-6.0.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee4481e1ab
Comment 11 Fedora Update System 2017-04-01 13:00:48 EDT
phpunit6-6.0.8-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.